Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.ranking
Class TotalRankSolverRankingWeightFactory

    java.lang.Object
      org.optaplanner.benchmark.impl.ranking.TotalRankSolverRankingWeightFactory

All Implemented Interfaces:
  SolverRankingWeightFactory

    public class TotalRankSolverRankingWeightFactory

extends Object
implements SolverRankingWeightFactory

This `SolverRankingWeightFactory` orders a `SolverBenchmarkResult` by how how many time each of it's `SingleBenchmarkResult` beat the `SingleBenchmarkResult` of the other `SolverBenchmarkResult`s. It maximizes the overall ranking.

When the inputSolutions differ greatly in size or difficulty, this often produces a difference in `Score` magnitude between each `Solution`. For example: score 10 for dataset A versus 1000 for dataset B. In such cases, this ranking is more fair than `TotalScoreSolverRankingComparator`, because in this ranking, dataset B wouldn't marginalize dataset A.

Nested Class Summary
`static class` | `TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight`

Constructor Summary
`TotalRankSolverRankingWeightFactory()`

Method Summary
`Comparable` | `createRankingWeight(List<SolverBenchmarkResult> solverBenchmarkResultList, SolverBenchmarkResult solverBenchmarkResult)` The ranking function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TotalRankSolverRankingWeightFactory

    public TotalRankSolverRankingWeightFactory()

Method Detail

### createRankingWeight

    public Comparable createRankingWeight(List<SolverBenchmarkResult> solverBenchmarkResultList,
                                          SolverBenchmarkResult solverBenchmarkResult)

  Description copied from interface: `SolverRankingWeightFactory`
  The ranking function. Takes the provided solverBenchmarkResultList and ranks them.

  Specified by:
    `createRankingWeight` in interface `SolverRankingWeightFactory`
  Parameters:
    `solverBenchmarkResultList` - never null
    `solverBenchmarkResult` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.